%define name mlterm
%define version 2.7.0
%define release 1mdk

%define majorkik	9
%define libnamekik 	libkik%{majorkik}
%define libnamedevkik   libkik%{majorkik}-devel

%define majormkf        13
%define libnamemkf      libmkf%{majormkf}
%define libnamedevmkf   libmkf%{majormkf}-devel

%define bindir /usr/X11R6/bin
%define sysconfdir /etc/X11
%define libexecdir /usr/libexec/mlterm
%define pixmapdir  /usr/share/pixmaps

Summary:     Multi Lingual TERMinal emulator for X
Name:	     %{name}
Version:     %{version}
Release:     %{release}
License:     Modified BSD-style license
Group:	     Terminals
URL:         http://mlterm.sourceforge.net/
Source0:     http://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.bz2
Requires:    imlib, gtk+
BuildRoot:   %_tmppath/%name-%version-%release-root
BuildPreReq: imlib-devel, gtk+-devel
Requires:	libkik9, libmkf13

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported. 
You can dynamically change various xims.

%package devel
Summary: Devel files for mlterm
Group: Development/Other
Requires: %name

%description devel
Devel files for mlterm

%package -n %libnamekik
Group:	System/Libraries
Summary: Library for Multi Lingual TERMinal emulator for X

%description -n %libnamekik
Library for Multi Lingual TERMinal emulator for X

%package -n %libnamedevkik
Group:  System/Libraries
Summary: Library for Multi Lingual TERMinal emulator for X
Requires: %libnamekik = %version
Provides: libkik-devel

%description -n %libnamedevkik
Library for Multi Lingual TERMinal emulator for X

%package -n %libnamemkf
Group:  System/Libraries
Summary: Library for Multi Lingual TERMinal emulator for X

%description -n %libnamemkf
Library for Multi Lingual TERMinal emulator for X

%package -n %libnamedevmkf
Group:  System/Libraries
Summary: Library for Multi Lingual TERMinal emulator for X
Requires: %libnamemkf = %version
Provides: libmkf-devel

%description -n %libnamedevmkf
Library for Multi Lingual TERMinal emulator for X


%prep

%setup
rm -rf doc/{en,ja}/CVS

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
            --bindir=%{bindir} \
	    --libdir=%{_libdir} \
	    --mandir=%{_mandir} \
            --libexecdir=%{libexecdir} \
	    --sysconfdir=%{sysconfdir}\
	    --enable-imlib # --enable-anti-alias

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{pixmapdir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm* \
               $RPM_BUILD_ROOT%{pixmapdir}

# install menu entry.
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT%{_menudir}/mlterm
?package(mlterm):\
  needs="X11"\
  section="Terminals"\
  title="Mlterm"\
  longtitle="A multi-lingual terminal emulator"\
  command="/usr/X11R6/bin/mlterm" \
  icon="mlterm.xpm"
EOF

#install icons.
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm_16x16.xpm \
			  $RPM_BUILD_ROOT/%{_miconsdir}/mlterm.xpm
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm_32x32.xpm \
	 		  $RPM_BUILD_ROOT/%{_iconsdir}/mlterm.xpm
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/doc/icon/mlterm_48x48.xpm \
	 		  $RPM_BUILD_ROOT/%{_liconsdir}/mlterm.xpm

%find_lang mlconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{update_menus}

%post -n %libnamekik -p /sbin/ldconfig
%postun -n %libnamekik -p /sbin/ldconfig

%post -n %libnamemkf -p /sbin/ldconfig
%postun -n %libnamemkf -p /sbin/ldconfig

%files -f mlconfig.lang
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/{en,ja}
%{bindir}/mlterm
%{bindir}/mlclient
%{libexecdir}/*
%config(noreplace) %{sysconfdir}/mlterm/
%{_mandir}/man1/*
%{pixmapdir}/mlterm*

%{_menudir}/mlterm
%{_iconsdir}/mlterm.xpm
%{_liconsdir}/mlterm.xpm
%{_miconsdir}/mlterm.xpm

%files devel
%defattr(-, root, root)
%_libdir/mlterm

%files -n %libnamekik
%defattr(-,root,root)
%_libdir/libkik*.so.*

%files -n %libnamedevkik
%defattr(-,root,root)
%_libdir/libkik*.so
%_libdir/libkik*.la
%_libdir/libkik*.a

%files -n %libnamemkf
%defattr(-,root,root)
%_libdir/libmkf*.so.*

%files -n %libnamedevmkf
%defattr(-,root,root)
%_libdir/libmkf*.so
%_libdir/libmkf*.la
%_libdir/libmkf*.a

%changelog
* Wed Aug 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.7.0-1mdk
- 2.7.0
- split

* Sun Mar 24 2002 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.1-1mdk
- First version for Linux-Mandrake.
